package com.ruoyi.ibs.tabs.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.ibs.tabs.domain.entity.CustTabDetail;
import com.ruoyi.ibs.tabs.mapper.CustTabDetailMapper;
import com.ruoyi.ibs.tabs.service.ICustTabDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 指标配置情况Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-30
 */
@Service
public class CustTabDetailServiceImpl implements ICustTabDetailService
{
    @Autowired
    private CustTabDetailMapper custTabDetailMapper;

    /**
     * 查询指标配置情况
     * 
     * @param id 指标配置情况主键
     * @return 指标配置情况
     */
    @Override
    public CustTabDetail selectCustTabDetailById(Long id)
    {
        return custTabDetailMapper.selectCustTabDetailById(id);
    }

    @Override
    public List<CustTabDetail> selectCustTabDetailByTabId(Long id) {
        return custTabDetailMapper.selectCustTabDetailByTabId(id);
    }

    /**
     * 查询指标配置情况列表
     * 
     * @param custTabDetail 指标配置情况
     * @return 指标配置情况
     */
    @Override
    public List<CustTabDetail> selectCustTabDetailList(CustTabDetail custTabDetail)
    {
        return custTabDetailMapper.selectCustTabDetailList(custTabDetail);
    }

    /**
     * 新增指标配置情况
     * 
     * @param custTabDetail 指标配置情况
     * @return 结果
     */
    @Override
    public int insertCustTabDetail(CustTabDetail custTabDetail)
    {
        custTabDetail.setCreateTime(DateUtils.getNowDate());
        return custTabDetailMapper.insertCustTabDetail(custTabDetail);
    }

    /**
     * 修改指标配置情况
     * 
     * @param custTabDetail 指标配置情况
     * @return 结果
     */
    @Override
    public int updateCustTabDetail(CustTabDetail custTabDetail)
    {
        custTabDetail.setUpdateTime(DateUtils.getNowDate());
        return custTabDetailMapper.updateCustTabDetail(custTabDetail);
    }

    /**
     * 批量删除指标配置情况
     * 
     * @param ids 需要删除的指标配置情况主键
     * @return 结果
     */
    @Override
    public int deleteCustTabDetailByIds(Long[] ids)
    {
        return custTabDetailMapper.deleteCustTabDetailByIds(ids);
    }

    /**
     * 删除指标配置情况信息
     * 
     * @param id 指标配置情况主键
     * @return 结果
     */
    @Override
    public int deleteCustTabDetailById(Long id)
    {
        return custTabDetailMapper.deleteCustTabDetailById(id);
    }
}
